create proc getmember -- parameter sniffing
    @lastname varchar(15)
as
select * from member where lastname = @lastname -- specific plan using histogram
go


create proc getmember -- "unknown"
    @lastname varchar(15)
as
declare @lname varchar(15)
select @lname = @lastname
select * from member where lastname = @lname -- generic average plan
go

create proc getmember -- "unknown"
    @lastname varchar(15)
as
select * from member where lastname = @lastname
OPTION (OPTIMIZE FOR UNKNOWN) -- generic average plan
go
go
